<?php

if (!function_exists("GetSQLValueString")) {
function GetSQLValueString($theValue, $theType, $theDefinedValue = "", $theNotDefinedValue = "") 
{
  if (PHP_VERSION < 6) {
    $theValue = get_magic_quotes_gpc() ? stripslashes($theValue) : $theValue;
  }

	include('conexiones/conex.php');
	$theValue = function_exists("mysqli_real_escape_string") ? mysqli_real_escape_string($con, $theValue) : mysqli_escape_string($con, $theValue);

  switch ($theType) {
    case "text":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;    
    case "long":
    case "int":
      $theValue = ($theValue != "") ? intval($theValue) : "NULL";
      break;
    case "double":
      $theValue = ($theValue != "") ? doubleval($theValue) : "NULL";
      break;
    case "date":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;
    case "defined":
      $theValue = ($theValue != "") ? $theDefinedValue : $theNotDefinedValue;
      break;
  }
  return $theValue;
}
}


function tipoArchivo($id, $extension){

    $n = generaPass();

    if($extension == 'pdf'){
        $id = $n.'.pdf'; 
    }else if($extension == 'jpg'){
        $id = $n.'.jpg'; 
    }else if($extension == 'png'){
        $id = $n.'.png'; 
    }

    return $id;
}

function throw_ex($er){  
    throw new Exception($er);  
} 

function obtenerEstadoCons($id)
{
	if($id == 'si'){
        return 'checked';
    }else{
        return '';
    }
}

function checkDoc($id){
    if($id != NULL && $id != "no"){
        return "checked";
    }
}

function checkDatos($id){
    if($id == NULL && $id == "" && $id == 0){
        return "No registra";
    }else{
        return $id;
    }
}

function fechaPicker($fecha){
    $nfecha = date('d-m-Y',strtotime($fecha));
    return $nfecha;
}

function fechaNormal($fecha){
    $nfecha = date('Y-m-d',strtotime($fecha));
    return $nfecha;
}
    
function urls_amigables($url) {
        // Tranformamos todo a minusculas
        $url = strtolower($url);
        //Rememplazamos caracteres especiales latinos
        $find = array('á', 'é', 'í', 'ó', 'ú', 'ñ');
        $repl = array('a', 'e', 'i', 'o', 'u', 'n');
        $url = str_replace ($find, $repl, $url);
        // Añaadimos los guiones
        $find = array(' ', '&', '\r\n', '\n','+'); 
        $url = str_replace ($find, '-', $url);
        // Eliminamos y Reemplazamos demás caracteres especiales
        $find = array('/[^a-z0-9\-<>]/', '/[\-]+/', '/<[^>]*>/');
        $repl = array('', '-', '');
        $url = preg_replace ($find, $repl, $url);
        return $url;
        }

function ObtenerNombreUsuario($identificador)
{
	if (file_exists('conexiones/conex.php')) {
       include('conexiones/conex.php');
    }else{
       include('../conexiones/conex.php');
    }
	$query_ConsultaFuncion = sprintf("SELECT * FROM persona WHERE persona.Persona_id = %s", $identificador);
	$ConsultaFuncion = mysqli_query($con, $query_ConsultaFuncion);
	$row_ConsultaFuncion = mysqli_fetch_assoc($ConsultaFuncion);
	$totalRows_ConsultaFuncion = mysqli_num_rows($ConsultaFuncion);
	
	return $row_ConsultaFuncion['Nombre'].' '.$row_ConsultaFuncion['Apellido']; 
	mysqli_free_result($ConsultaFuncion);
}

function ObtenerEstado($id)
    {
        if ($id == 1){
            return 'Activo';
        }elseif ($id == 0){
            return 'Inactivo';
        }
    }

function ObtenerRolUsuario($id)
{
	if (file_exists('conexiones/conex.php')) {
       include('conexiones/conex.php');
    }else{
       include('../conexiones/conex.php');
    }
	$query_ConsultFuncion = sprintf("SELECT * FROM roles WHERE roles.idRol = %s", $id);
	$ConsultFuncion = mysqli_query($con, $query_ConsultFuncion);
	$row_ConsultFuncion = mysqli_fetch_assoc($ConsultFuncion);
	$totalRows_ConsultFuncion = mysqli_num_rows($ConsultFuncion);
	
	return $row_ConsultFuncion['nombreRol']; 
	mysqli_free_result($ConsultaFuncion);
}

function ObtenerLin($id)
{
	if (file_exists('conexiones/conex.php')) {
       include('conexiones/conex.php');
    }else{
       include('../conexiones/conex.php');
    }
	$query_ConsultFuncion = sprintf("SELECT * FROM lineas WHERE lineas.idLinea = %s", $id);
	$ConsultFuncion = mysqli_query($con, $query_ConsultFuncion);
	$row_ConsultFuncion = mysqli_fetch_assoc($ConsultFuncion);
	$totalRows_ConsultFuncion = mysqli_num_rows($ConsultFuncion);
	
	return $row_ConsultFuncion['nombre_linea']; 
	mysqli_free_result($ConsultaFuncion);
}

function ObtenerCat($id)
{
	if (file_exists('conexiones/conex.php')) {
       include('conexiones/conex.php');
    }else{
       include('../conexiones/conex.php');
    }
	$query_ConsultFuncion = sprintf("SELECT * FROM cat_productos WHERE cat_productos.id_categorias = %s", $id);
	$ConsultFuncion = mysqli_query($con, $query_ConsultFuncion);
	$row_ConsultFuncion = mysqli_fetch_assoc($ConsultFuncion);
	$totalRows_ConsultFuncion = mysqli_num_rows($ConsultFuncion);
	
	return $row_ConsultFuncion['nombre_categoria']; 
	mysqli_free_result($ConsultaFuncion);
}

function listar_archivos($carpeta){
    if(is_dir($carpeta)){
        if($dir = opendir($carpeta)){
            while(($archivo = readdir($dir)) !== false){
                if($archivo != '.' && $archivo != '..' && $archivo != '.htaccess'){
                    echo '<script src="js/ajax/'.$archivo.'"></script>';
                }
            }
            closedir($dir);
        }
    }
}

function generaPass(){
    $cadena = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890";
    $longitudCadena=strlen($cadena);
    $pass = "";
    $longitudPass=60;
    for($i=1 ; $i<=$longitudPass ; $i++){
        $pos=rand(0,$longitudCadena-1);
		$pass .= substr($cadena,$pos,1);
    }
    return $pass;
}

function generaNombre(){
    $cadena = "1234567890";
    $longitudCadena=strlen($cadena);
    $pass = "";
    $longitudPass=35;
    for($i=1 ; $i<=$longitudPass ; $i++){
        $pos=rand(0,$longitudCadena-1);
		$pass .= substr($cadena,$pos,1);
    }
    return $pass;
}

//quitamos los puntos de los montos
function limpiar($s) 
    {
        $s= str_replace('.', '', $s); 
        return $s; 
    }

//quitamos los guiones de los montos
function limpiar2($s) 
    {
    $s= str_replace('-', '', $s); 
    return $s; 
    }

//quitamos los puntos de los montos y el nombre de moneda
function limpiar3($s) 
    {
    $find = array(' ', '-', '.', 'Gs'); 
    $s= str_replace($find, '', $s); 
    return $s; 
    }



//LINEA EXTENSA PARA CONVERTIR NUMERO A LETRAS
function basico($numero) {
    $valor = array ('uno','dos','tres','cuatro','cinco','seis','siete','ocho',
    'nueve','diez','once','doce','trece','catorce','quince','dieciseis','diecisiete','dieciocho','diecinueve','veinte','veintiuno','veintidos','veintitres', 'veinticuatro','veinticinco',
    'veintiséis','veintisiete','veintiocho','veintinueve');
    return $valor[$numero - 1];
    }
    
    function decenas($n) {
    $decenas = array (30=>'treinta',40=>'cuarenta',50=>'cincuenta',60=>'sesenta',
    70=>'setenta',80=>'ochenta',90=>'noventa');
    if( $n <= 29) return basico($n);
    $x = $n % 10;
    if ( $x == 0 ) {
    return $decenas[$n];
    } else return $decenas[$n - $x].' y '. basico($x);
    }
    
    function centenas($n) {
    $cientos = array (100 =>'cien',200 =>'doscientos',300=>'trecientos',
    400=>'cuatrocientos', 500=>'quinientos',600=>'seiscientos',
    700=>'setecientos',800=>'ochocientos', 900 =>'novecientos');
    if( $n >= 100) {
    if ( $n % 100 == 0 ) {
    return $cientos[$n];
    } else {
    $u = (int) substr($n,0,1);
    $d = (int) substr($n,1,2);
    return (($u == 1)?'ciento':$cientos[$u*100]).' '.decenas($d);
    }
    } else return decenas($n);
    }
    
    function miles($n) {
    if($n > 999) {
    if( $n == 1000) {return 'mil';}
    else {
    $l = strlen($n);
    $c = (int)substr($n,0,$l-3);
    $x = (int)substr($n,-3);
    if($c == 1) {$cadena = 'mil '.centenas($x);}
    else if($x != 0) {$cadena = centenas($c).' mil '.centenas($x);}
    else $cadena = centenas($c). ' mil';
    return $cadena;
    }
    } else return centenas($n);
    }
    
    function millones($n) {
    if($n == 1000000) {return 'un millón';}
    else {
    $l = strlen($n);
    $c = (int)substr($n,0,$l-6);
    $x = (int)substr($n,-6);
    if($c == 1) {
    $cadena = ' millón ';
    } else {
    $cadena = ' millones ';
    }
    return miles($c).$cadena.(($x > 0)?miles($x):'');
    }
    }
    function convertir($n) {
    switch (true) {
    case ( $n >= 1 && $n <= 29) : return basico($n); break;
    case ( $n >= 30 && $n < 100) : return decenas($n); break;
    case ( $n >= 100 && $n < 1000) : return centenas($n); break;
    case ($n >= 1000 && $n <= 999999): return miles($n); break;
    case ($n >= 1000000): return millones($n);
    }
}

function buscaDatos($id){
    if($id == ""){
        return "<i class='text-white'>Sin datos</i>";
    }else{
        return $id;
    }
}
?>